Skip to main content
GET
/
api
/
svc
/
v1
/
apps
List Applications
curl --request GET \
  --url https://{controlPlaneURL}/api/svc/v1/apps \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "createdBySubject": {
        "subjectId": "<string>",
        "subjectSlug": "<string>",
        "subjectDisplayName": "<string>",
        "subjectPatName": "<string>",
        "subjectControllerName": "<string>",
        "subjectExternalIdentitySlug": "<string>"
      },
      "autopilot": {},
      "id": "<string>",
      "fqn": "<string>",
      "name": "<string>",
      "tenantName": "<string>",
      "metadata": {
        "paused": true
      },
      "workspaceId": "<string>",
      "lastVersion": 123,
      "activeVersion": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "recommendations": [
        {
          "recommendationData": {},
          "recommendationType": "<string>",
          "expiryTimestamp": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "clusterId": "<string>",
          "applicationId": "<string>",
          "deploymentId": "<string>",
          "applicationVersion": 123,
          "appliedDeploymentId": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "alerts": [
        {
          "name": "<string>",
          "timestamps": [
            "2023-11-07T05:31:56Z"
          ],
          "startTime": "2023-11-07T05:31:56Z",
          "clusterId": "<string>",
          "fingerprint": "<string>",
          "id": "<string>",
          "resolvedTime": "2023-11-07T05:31:56Z",
          "applicationId": "<string>",
          "tenantName": "<string>",
          "updatedAt": "<string>",
          "createdAt": "<string>",
          "applicationDebugInfoId": "<string>"
        }
      ],
      "alertsSummary": {},
      "applicationDebugInfos": [
        {
          "applicationId": "<string>",
          "debugInfo": {},
          "id": "<string>",
          "application": null,
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "potentialProblems": [
        {
          "name": "<string>",
          "description": "<string>"
        }
      ],
      "workspaceFqn": "<string>",
      "createdBy": "<string>",
      "deployment": {
        "manifest": {
          "name": "<string>",
          "image": {
            "build_source": {
              "remote_uri": "<string>"
            },
            "build_spec": {
              "dockerfile_path": "./Dockerfile",
              "build_context_path": "./",
              "command": "<string>",
              "build_args": {},
              "build_secrets": [
                {
                  "id": "<string>",
                  "value": "<string>",
                  "env": "<string>"
                }
              ]
            },
            "docker_registry": "<string>"
          },
          "ports": [
            {
              "port": 80,
              "protocol": "TCP",
              "expose": true,
              "app_protocol": "http",
              "host": "<string>",
              "path": "<string>",
              "rewrite_path_to": "<string>",
              "auth": {
                "username": "<string>",
                "password": "<string>"
              }
            }
          ],
          "replicas": 1,
          "artifacts_download": {
            "artifacts": [
              {
                "artifact_version_fqn": "<string>",
                "download_path_env_variable": "<string>"
              }
            ],
            "cache_volume": {
              "storage_class": "<string>",
              "cache_size": 200
            }
          },
          "resources": {
            "cpu_request": 0.2,
            "cpu_limit": 0.5,
            "memory_request": 200,
            "memory_limit": 500,
            "ephemeral_storage_request": 1000,
            "ephemeral_storage_limit": 2000,
            "shared_memory_size": 2000032,
            "node": {
              "instance_families": [
                "<string>"
              ]
            },
            "devices": [
              {
                "count": 8,
                "name": "<string>"
              }
            ]
          },
          "env": null,
          "service_account": "<string>",
          "mounts": [
            {
              "mount_path": "<string>",
              "secret_fqn": "<string>"
            }
          ],
          "labels": {},
          "kustomize": {
            "patch": {},
            "additions": [
              {}
            ]
          },
          "liveness_probe": {
            "config": {
              "path": "<string>",
              "port": 32767,
              "host": "<string>",
              "scheme": "HTTP"
            },
            "initial_delay_seconds": 0,
            "period_seconds": 10,
            "timeout_seconds": 1,
            "success_threshold": 1,
            "failure_threshold": 3
          },
          "readiness_probe": {
            "config": {
              "path": "<string>",
              "port": 32767,
              "host": "<string>",
              "scheme": "HTTP"
            },
            "initial_delay_seconds": 0,
            "period_seconds": 10,
            "timeout_seconds": 1,
            "success_threshold": 1,
            "failure_threshold": 3
          },
          "startup_probe": {
            "config": {
              "path": "<string>",
              "port": 32767,
              "host": "<string>",
              "scheme": "HTTP"
            },
            "initial_delay_seconds": 0,
            "period_seconds": 10,
            "timeout_seconds": 1,
            "success_threshold": 1,
            "failure_threshold": 3
          },
          "workspace_fqn": "<string>",
          "auto_shutdown": {
            "wait_time": 900
          },
          "allow_interception": false,
          "rollout_strategy": {
            "max_unavailable_percentage": 25,
            "max_surge_percentage": 25
          }
        },
        "createdBySubject": {
          "subjectId": "<string>",
          "subjectSlug": "<string>",
          "subjectDisplayName": "<string>",
          "subjectPatName": "<string>",
          "subjectControllerName": "<string>",
          "subjectExternalIdentitySlug": "<string>"
        },
        "id": "<string>",
        "version": 123,
        "fqn": "<string>",
        "applicationId": "<string>",
        "application": null,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "deploymentBuilds": [
          {
            "name": "<string>",
            "status": 20
          }
        ],
        "deploymentStatuses": [
          {
            "id": "<string>",
            "deploymentId": "<string>",
            "state": {},
            "message": "<string>",
            "retryCount": 123,
            "createdAt": "2023-11-07T05:31:56Z",
            "updatedAt": "2023-11-07T05:31:56Z"
          }
        ],
        "currentStatusId": "<string>",
        "currentStatus": {
          "id": "<string>",
          "deploymentId": "<string>",
          "state": {},
          "message": "<string>",
          "retryCount": 123,
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        },
        "appliedRecommendations": [
          {
            "recommendationData": {},
            "recommendationType": "<string>",
            "expiryTimestamp": "2023-11-07T05:31:56Z",
            "id": "<string>",
            "clusterId": "<string>",
            "applicationId": "<string>",
            "deploymentId": "<string>",
            "applicationVersion": 123,
            "appliedDeploymentId": "<string>",
            "createdAt": "2023-11-07T05:31:56Z",
            "updatedAt": "2023-11-07T05:31:56Z"
          }
        ],
        "createdBy": "<string>"
      },
      "activeDeploymentId": "<string>",
      "lastDeploymentId": "<string>"
    }
  ],
  "pagination": {
    "total": 100,
    "offset": 0,
    "limit": 10
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer | null
default:100

Number of items per page

Required range: 1 <= x <= 1000
Example:

10

offset
integer | null
default:0

Number of items to skip

Required range: x >= 0
Example:

0

applicationId
string | null

Unique identifier of the application to filter by

workspaceId
string | null

Workspace IDs to filter by (comma-separated)

applicationName
string | null

Exact application name to filter by. Takes precedence over nameSearchQuery if both are provided.

fqn
string | null

FQN of the application to filter by.

workspaceFqn
string | null

FQN of the workspace to filter by.

applicationType
enum<string> | null

Application type to filter by (comma-separated).

Available options:
async-service,
service,
job,
spark-job,
helm,
notebook,
spark-notebook,
codeserver,
rstudio,
ssh-server,
volume,
application,
application-set,
intercept,
workflow
nameSearchQuery
string | null

Substring search query for application name. Ignored if applicationName is also provided.

environmentId
string | null

Environment IDs to filter by (comma-separated)

clusterId
string | null

Cluster IDs to filter by (comma-separated)

applicationSetId
string | null

Application set ID to filter by

paused
boolean | null

Whether the application is paused

deviceTypeFilter
enum<string> | null

Device type to filter by (comma-separated).

Available options:
cpu,
nvidia_gpu,
aws_inferentia,
nvidia_mig_gpu,
nvidia_timeslicing_gpu,
gcp_tpu
lastDeployedBySubjects
string | null

Subject slugs of last deployers to filter by (comma-separated). Email for users (e.g. user@example.com), name for virtual accounts.

lifecycleStage
enum<string> | null

Application lifecycle stage to filter by

Available options:
active,
deleting,
deletion_failed
isRecommendationPresentAndVisible
boolean | null

Whether the application has visible recommendations

Response

Paginated list of applications.

data
Application · object[]
required

List of applications matching the query

pagination
Pagination · object
required

Pagination metadata.